Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.cometd
Class AbstractTransport

    java.lang.Object
      org.mortbay.cometd.AbstractTransport

All Implemented Interfaces:
  Transport

Direct Known Subclasses:
  JSONPTransport, JSONTransport

    public abstract class AbstractTransport

extends Object
implements Transport

Constructor Summary
`AbstractTransport()`

Method Summary
`org.cometd.Message` | `getPollReply()`
`HttpServletResponse` | `getResponse()`
`void` | `setPollReply(org.cometd.Message reply)`
`void` | `setResponse(HttpServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mortbay.cometd.Transport
`complete, isJSONCommented, resumePoll, send, setJSONCommented`

Constructor Detail

### AbstractTransport

    public AbstractTransport()

Method Detail

### setResponse

    public void setResponse(HttpServletResponse response)
                     throws IOException

  Specified by:
    `setResponse` in interface `Transport`
  Throws:
    `IOException`

### getResponse

    public HttpServletResponse getResponse()

### getPollReply

    public org.cometd.Message getPollReply()

  Specified by:
    `getPollReply` in interface `Transport`

### setPollReply

    public void setPollReply(org.cometd.Message reply)

  Specified by:
    `setPollReply` in interface `Transport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.